import request from '@/utils/request'

// 查询物料单位列表
export function listUnit(query) {
  return request({
    url: '/worn/unit/list',
    method: 'get',
    params: query
  })
}

// 查询物料单位详细
export function getUnit(id) {
  return request({
    url: '/worn/unit/' + id,
    method: 'get'
  })
}

// 新增物料单位
export function addUnit(data) {
  return request({
    url: '/worn/unit',
    method: 'post',
    data: data
  })
}

// 修改物料单位
export function updateUnit(data) {
  return request({
    url: '/worn/unit',
    method: 'put',
    data: data
  })
}

// 删除物料单位
export function delUnit(id) {
  return request({
    url: '/worn/unit/' + id,
    method: 'delete'
  })
}
